package ch.zhaw.projekt2.turnierverwaltung.main.gameScheduleView;

import ch.zhaw.projekt2.turnierverwaltung.*;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.ChoiceBox;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;

public class GameController {

    private GameDecorator gameDecorator;

    @FXML
    private Label participantNameOne;

    @FXML
    private Label participantNameTwo;

    @FXML
    private ChoiceBox<Place> placesChoiceBox;

    @FXML
    private TextField pointsTeamOne;

    @FXML
    private TextField pointsTeamTwo;


    @FXML
    void saveGamerResult(ActionEvent event) {
        gameDecorator.setPoints1(Integer.parseInt(pointsTeamOne.getText()));
        gameDecorator.setPoints2(Integer.parseInt(pointsTeamTwo.getText()));
        gameDecorator.setLocation(placesChoiceBox.getValue());
        gameDecorator.getTournamentDecorator().refreshGameParticipants();
        loadContent();
    }


    public void loadContent() {
        participantNameOne.setText(gameDecorator.getParticipantOne());
        participantNameTwo.setText(gameDecorator.getParticipantTwo());
        pointsTeamOne.setText(String.valueOf(gameDecorator.getPoints1()));
        pointsTeamTwo.setText(String.valueOf(gameDecorator.getPoints2()));
    }

    public void setup(GameDecorator gameDecorator) {
        this.gameDecorator = gameDecorator;
        loadContent();
    }

}